<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [donateToFaction](./bitburner.singularity.donatetofaction.md)

## Singularity.donateToFaction() method

Donate to a faction.

<b>Signature:</b>

```typescript
donateToFaction(faction: string, amount: number): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  faction | string | Name of faction to donate to. |
|  amount | number | Amount of money to donate. |

<b>Returns:</b>

boolean

True if the money was donated, and false otherwise.

## Remarks

RAM cost: 5 GB \* 16/4/1

Attempts to donate money to the specified faction in exchange for reputation. Returns true if you successfully donate the money, and false otherwise.

